Bug 647382 - ACPI: PCI Interrupt Link [LNKA] BIOS reported IRQ 0, using IRQ 9
Summary: ACPI: PCI Interrupt Link [LNKA] BIOS reported IRQ 0, using IRQ 9
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-28 08:09 UTC by Fabrice Bellet
Modified: 2013-04-08 14:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-08 14:49:02 UTC


Attachments (Terms of Use)
dmesg with ACPI enabled (42.93 KB, text/plain)
2010-10-28 08:10 UTC, Fabrice Bellet
no flags Details
dmesg with ACPI enabled and pci=noacpi (41.08 KB, text/plain)
2010-10-28 08:11 UTC, Fabrice Bellet
no flags Details

Description Fabrice Bellet 2010-10-28 08:09:00 UTC
The box is an old Thinkpad 770Z (manufactured around 1999). The pcmcia CardBus fails when ACPI is enabled, and works when booting with pci=noacpi. The specific error messages are :

ACPI: PCI Interrupt Link [LNKA] disabled and referenced, BIOS bug
ACPI: PCI Interrupt Link [LNKA] BIOS reported IRQ 0, using IRQ 9
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 9

[...]

yenta_cardbus 0000:00:02.0: CardBus bridge found [1014:00eb]
yenta_cardbus 0000:00:02.0: Enabling burst memory read transactions
yenta_cardbus 0000:00:02.0: Using CSCINT to route CSC interrupts to PCI
yenta_cardbus 0000:00:02.0: Routing CardBus interrupts to PCI
yenta_cardbus 0000:00:02.0: TI: mfunc 0xfba97543, devctl 0x62
yenta_cardbus 0000:00:02.0: ISA IRQ mask 0x0000, PCI irq 9
yenta_cardbus 0000:00:02.0: Socket status: 30000820
yenta_cardbus 0000:00:02.1: CardBus bridge found [1014:00eb]
yenta_cardbus 0000:00:02.1: Using CSCINT to route CSC interrupts to PCI
yenta_cardbus 0000:00:02.1: Routing CardBus interrupts to PCI
yenta_cardbus 0000:00:02.1: TI: mfunc 0xfba97543, devctl 0x62
yenta_cardbus 0000:00:02.1: TI: probing PCI interrupt failed, trying to fix
yenta_cardbus 0000:00:02.1: TI: no PCI interrupts. Fish. Please report.
yenta_cardbus 0000:00:02.1: no PCI IRQ, CardBus support disabled for this socket.
yenta_cardbus 0000:00:02.1: check your BIOS CardBus, BIOS IRQ or ACPI settings.
yenta_cardbus 0000:00:02.1: ISA IRQ mask 0x0000, PCI irq 0
yenta_cardbus 0000:00:02.1: Socket status: 30000006

Is there something that should be fixed ? Or is pci=noacpi just the good solution for this machine ?

Comment 1 Fabrice Bellet 2010-10-28 08:10:16 UTC
Created attachment 456176 [details]
dmesg with ACPI enabled

Comment 2 Fabrice Bellet 2010-10-28 08:11:17 UTC
Created attachment 456177 [details]
dmesg with ACPI enabled and pci=noacpi

Comment 3 Fedora End Of Life 2013-04-03 18:43:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Justin M. Forbes 2013-04-05 16:35:09 UTC
Is this still a problem with 3.9 based F19 kernels?

Comment 5 Fabrice Bellet 2013-04-06 22:01:28 UTC
Yes, the problem is still there with recent 3.9 kernels.

And pci=noacpi is still a valid workaround to have a working cardbus bridge.

For the record, on this old laptop, my current workaround on F19 is to boot with "acpi=off apm=power-off apm=debug vga=0x305" with a kernel-PAE [1], and forcing real-mode boot in grub2 [2] (linux16/initrd16 cmds). [1] and [2] is required to have a working APM suspend, because suspend via acpi is also broken.

Comment 6 Justin M. Forbes 2013-04-08 14:49:02 UTC
I am afraid given the age of the machine, there is no way we can get all of these fixed. Considering you have work arounds, I am going to close this out.


Note You need to log in before you can comment on or make changes to this bug.